POST
/roadmapsCreate a roadmap
Create a new roadmap
Request body
| Field | Type | Description |
|---|---|---|
namerequired | string | Roadmap name |
slugrequired | string | URL-friendly slug |
description | string | Roadmap description |
type | "column" | "date" | |
baseFilter | object | |
dateSource | "eta" | null | |
frequency | "monthly" | "quarterly" | "semiannual" | null | |
visibility | "public" | "team" | "segment" | |
isPublic | boolean | Deprecated: use `visibility`. `false` maps to `team`, `true` maps to `public`. Ignored when `visibility` is sent. |
visibleSegmentIds | string[] | null | |
columns | object[] |
Response
Roadmap created
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
namerequired | string | |
slugrequired | string | URL-friendly identifier |
descriptionrequired | stringnull | |
typerequired | "column" | "date" | |
baseFilterrequired | object | |
dateSourcerequired | "eta" | null | |
frequencyrequired | "monthly" | "quarterly" | "semiannual" | null | |
visibilityrequired | "public" | "team" | "segment" | |
visibleSegmentIdsrequired | string[] | null | |
positionrequired | number | Display order |
columnsrequired | object[] | |
createdAtrequired | string | ISO 8601 timestamp |
Errors
400Validation error401UnauthorizedExample request
curl \
-X POST \
"https://feedback.quackback.io/api/v1/roadmaps" \
-H "Authorization: Bearer qb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Product Roadmap",
"slug": "product-roadmap",
"description": "example_description",
"type": "example_type",
"visibility": "example_visibility",
"isPublic": false,
"columns": []
}'